extern int RSI_Period = 8;
extern int MA_Period = 3;

double level1 = 30,
       level2 = 70;

int init(){return(0);}

int start()
{
   if (isNewBar()) EveryBar();
   return(0);
}

void EveryBar()
{
   double RSI1[4], MA1[4];
   int i, RSI_Count = ArraySize(RSI1), MA_Count = ArraySize(MA1);
   
   for (i =0 ; i < RSI_Count ; i++)
   {
      int bar = Time[i];
      int shift = iBarShift(NULL,0,bar);
      RSI1[i] = NormalizeDouble(iRSI(NULL, 0, RSI_Period, PRICE_CLOSE, shift),0);
   }
   
   for (i = 0 ; i < MA_Count ; i++)
   {
      MA1[i] = iMAOnArray(RSI1, 0, MA_Period, 0, MODE_SMA, i);
   }
   
   if (MA1[2] < level1 && MA1[1] > level1)
   {
      OrderSend(Symbol(), OP_BUY, 0.1, Ask, 3, 0, 0, NULL, 0, 0, Green);
      Print(MA1[2], " ", MA1[1], " ", RSI1[2], " ", RSI1[1]);
   }
   else if (MA1[2] > level2 && MA1[1] < level2)
   {
      OrderSend(Symbol(), OP_SELL, 0.1, Bid, 3, 0, 0, NULL, 0, 0, Red);
      Print(MA1[2], " ", MA1[1], " ", RSI1[2], " ", RSI1[1]);
   }
}

bool isNewBar()
{
   static datetime NewTime = 0;
   bool NewBar = false;
   if (NewTime != Time[0])
   {
      NewTime = Time[0];
      NewBar = true;
   }
   return (NewBar);
}